
%global meadversion 1.5.4
%global namedversion 1.5.4.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jettison}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.5.4.redhat-00002

Name:           %{?scl_prefix}jettison
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jettison
Group:          Development/Java

%if %with mead
Source100: jettison-1.5.4.redhat-00002-project-sources.tar.gz
Source102: jettison-1.5.4.redhat-00002.jar
Source103: jettison-1.5.4.redhat-00002-javadoc.jar
Source104: jettison-1.5.4.redhat-00002.pom
Source105: jettison-1.5.4.redhat-00002-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/jettison-json/jettison
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A StAX implementation for JSON.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jettison
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jettison-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}.jar %{buildroot}%{_javadir}/jettison-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jettison-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jettison-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jettison-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jettison-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jettison-%{namedversion} -x META-INF/\*
%{__ln_s} jettison-%{namedversion} %{buildroot}%{_javadocdir}/jettison
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/jettison-%{namedversion}.jar
%{_javadir}/jettison.jar
%if %with javadoc
%{_javadir}/jettison-%{namedversion}-javadoc.jar
%{_javadir}/jettison-javadoc.jar
%endif
%{_javadir}/jettison-%{namedversion}-sources.jar
%{_javadir}/jettison-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jettison-%{namedversion}
%{_javadocdir}/jettison
%endif

%changelog
* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.5.4-1.redhat_00002.1
- Built by CPaaS

* Wed Dec 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.5.2-1.redhat_00002.1
- Built by CPaaS

* Tue Nov 26 2019 Yong Yang <yyang@redhat.com> - 1.4.0-1.redhat_00001.1
- RPM wrapper build 1.4.0.redhat-00001

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.3.8-2.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.3.8-1.redhat_1.1
- upgrade to 1.3.8.redhat-1

* Wed Sep 23 2015 David Walluck <dwalluck@redhat.com> - 1.3.3-3.redhat_2.1
- update manifests

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.3-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 1.3.3-1.redhat_1.1
- rebuild to fix version

* Wed Apr 29 2015 David Walluck <dwalluck@redhat.com> - 1.3-1.3.2
- release

